import { useState, useEffect, useRef } from 'react';
import { useConnections, useFloorItems, useSelectedEventSphere, useSelectedPath, useSimulationPaths } from '../../store/store';
import { useThree } from '@react-three/fiber';
import * as THREE from 'three';
import Behaviour from './behaviour/behaviour';
import PathCreation from './path/pathCreation';
import PathConnector from './path/pathConnector';
import useModuleStore from '../../store/useModuleStore';

function Simulation() {
    const { activeModule } = useModuleStore();
    const pathsGroupRef = useRef() as React.MutableRefObject<THREE.Group>;
    const { simulationPaths, setSimulationPaths } = useSimulationPaths();
    const { connections, setConnections, addConnection, removeConnection } = useConnections();
    const [processes, setProcesses] = useState([]);

    useEffect(() => {
        console.log('simulationPaths: ', simulationPaths);
    }, [simulationPaths]);

    // useEffect(() => {
    //     if (selectedEventSphere) {
    //         console.log('selectedEventSphere: ', selectedEventSphere);
    //     }
    // }, [selectedEventSphere]);

    // useEffect(() => {
    //     if (selectedPath) {
    //         console.log('selectedPath: ', selectedPath);
    //     }
    // }, [selectedPath]);

    return (
        <>
            {activeModule === 'simulation' && (
                <>
                    <Behaviour setSimulationPaths={setSimulationPaths} />
                    <PathCreation pathsGroupRef={pathsGroupRef} />
                    <PathConnector pathsGroupRef={pathsGroupRef} />
                </>
            )}
        </>
    );
}

export default Simulation;