// store/useModuleStore.ts
import { create } from "zustand";

interface ModuleStore {
  activeModule: string;
  setActiveModule: (module: string) => void;
}

const useModuleStore = create<ModuleStore>((set) => ({
  activeModule: "visualization", // Initial state
  setActiveModule: (module) => set({ activeModule: module }), // Update state
}));

export default useModuleStore;
